Customers
Create Customer
Creates a new customer record. Validates tenant authorization and prevents duplicate customers by checking associatedId.
Authorization
api_key api-key<token>
In: header
Request Body
application/json
Customer creation data including associatedId, tenantAlias, and personal info
metadata?
Additional key-value pairs for custom data
email*string
Customer email address
lastName*string
Customer last name
firstName*string
Customer first name
tenantAlias*string
Merchant identifier for multi-tenant access
associatedId*string
Unique identifier for the customer in your system
Response Body
application/json
application/json
application/json
curl -X POST "https://api.paynowpro.com/api/v1/customers" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "lastName": "string", "firstName": "string", "tenantAlias": "string", "associatedId": "string" }'{
"id": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"associatedId": "string",
"tenantAlias": "string",
"metadata": {
"property1": "string",
"property2": "string"
},
"createdAt": "string"
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}